pushd ${MUTIL_DIR} &>/dev/null

configfile="maint.ini"
config=('PurgeMessageBases' 'PackMessageBases' 'MergeNodeLists' 'PackFileBases' 'PurgeUserBase' 'PackUserBase' 'FileSort')
msg_info "Merging ${config} into ${configfile}"
preparray=("${configarray[@]}")
for el in ${config[@]}
do
   preparray=("${preparray[@]/$el}")
done

cat General ${config[@]} > ${MYSTIC_DIR}/${configfile}
for el in ${preparray[@]}
do
    sed -e "/$el/d" -i ${MYSTIC_DIR}/${configfile}
done
msg_ok "Merging ${config} into ${configfile}"
popd &>/dev/null
